package com.bonus.canteen.core.menu.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.bonus.canteen.core.menu.dto.MenuDishesLabelAddDTO;
import com.bonus.canteen.core.menu.dto.MenuDishesLabelEditDTO;
import com.bonus.canteen.core.menu.entity.MenuDishesLabel;
import com.bonus.canteen.core.menu.vo.MenuDishesLabelPageVO;

public interface MenuDishesLabelService extends IService<MenuDishesLabel> {
   void addMenuDishesLabel(MenuDishesLabelAddDTO content);

   Page<MenuDishesLabelPageVO> getMenuMenuDishesLabelPage(String content);

   void editMenuDishesLabel(MenuDishesLabelEditDTO content);

   void removeByLabelId(Long labelId);
}
